Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.util
Class DocumentChangedListener

    java.lang.Object
      edu.stanford.smi.protege.util.SwitchableListener
          edu.stanford.smi.protege.util.DocumentChangedListener

All Implemented Interfaces:
  EventListener, ChangeListener, DocumentListener

    public abstract class DocumentChangedListener

extends SwitchableListener
implements DocumentListener, ChangeListener

An adapter that changes the document events that come from swing text widgets into simple "change" events. This listener can also be enabled or disabled.

Author:
  Ray Fergerson

Constructor Summary
`DocumentChangedListener()`

Method Summary
`void` | `changedUpdate(DocumentEvent event)`
`void` | `insertUpdate(DocumentEvent event)`
`void` | `removeUpdate(DocumentEvent event)`

Methods inherited from class edu.stanford.smi.protege.util.SwitchableListener
`disable, enable, isEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.event.ChangeListener
`stateChanged`

Constructor Detail

### DocumentChangedListener

    public DocumentChangedListener()

Method Detail

### changedUpdate

    public void changedUpdate(DocumentEvent event)

  Specified by:
    `changedUpdate` in interface `DocumentListener`

### insertUpdate

    public void insertUpdate(DocumentEvent event)

  Specified by:
    `insertUpdate` in interface `DocumentListener`

### removeUpdate

    public void removeUpdate(DocumentEvent event)

  Specified by:
    `removeUpdate` in interface `DocumentListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.